# Generated by Django 3.2.6 on 2021-09-04 11:27

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Character',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('type', models.IntegerField(choices=[(1, 'Aliant'), (2, 'Enemy')])),
                ('attack', models.IntegerField()),
                ('defence', models.IntegerField()),
                ('health_points', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Action',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('character_1', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='characters_1', to='character_app.character')),
                ('character_2', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='characters_2', to='character_app.character')),
            ],
        ),
    ]
